Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 140866 - media-video/effectv-0.3.10 uses 'common' function name "trunc"
Summary: media-video/effectv-0.3.10 uses 'common' function name "trunc"
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-17 21:24 UTC by Olliver Schinagl
Modified: 2006-09-01 15:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
rename of trunc to truncate in util.c (trunc.patch,436 bytes, patch)
2006-07-17 21:24 UTC, Olliver Schinagl
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olliver Schinagl 2006-07-17 21:24:02 UTC
Emerging 0.3.10 of effectv failes with:
  utils.c:30: error: conflicting types for 'trunc'


This naming conflict causes effectv to fail to build. renaming it to truncate fixed it for me, find attached a patch to do just that.
Comment 1 Olliver Schinagl 2006-07-17 21:24:59 UTC
Created attachment 92048 [details, diff]
rename of trunc to truncate in util.c
Comment 2 Matthias Schwarzott gentoo-dev 2006-08-30 08:43:15 UTC
Added patch to ebuild.
Comment 3 Olliver Schinagl 2006-09-01 15:41:22 UTC
Got it in my portage tree, compiles as it should, closing.